@import './variables';

@mixin input-skeleton {
  background: $_NEUTRAL_5;
  border: none;
  border-radius: $_BTN_INPUTS_RADIUS;
  outline: none;
  display: block;
  font-size: 12px;
  padding: 10px;

  &::placeholder {
    color: $_NEUTRAL_15;
  }
}


/* OVERRIDE MATERIAL STYLES */


/* OVERLAY */

.cdk-overlay-container {
  .cdk-overlay-backdrop.cdk-overlay-backdrop-showing {
    background: $_NEUTRAL_25;
    opacity: .6;
  }
}

.cdk-overlay-container .mat-dialog-container {
  background: transparent;
  box-shadow: none;
}


/* CHECKBOX */

.mat-checkbox:not(.mat-checkbox-disabled).mat-accent .mat-checkbox-ripple .mat-ripple-element {
  background-color: $_NEUTRAL_40 !important;
}

.mat-checkbox-checked.mat-accent .mat-checkbox-background,
.mat-checkbox-indeterminate.mat-accent .mat-checkbox-background {
  background-color: $_NEUTRAL_35 !important;
}

.checkbox-panel {
  .select-top {
    color: $_NEUTRAL_40;
    font-size: 16px;
    letter-spacing: .28px;
    line-height: 19px;
    padding-bottom: 0;
    margin: 10px 0 10px 0;
  }

  &.mat-select-panel {
    background: transparent;

    &.mat-select-panel:not([class*=mat-elevation-z]) {
      box-shadow: none;
      max-height: calc(100vh - 200px);
      margin-top: 30px;
      margin-left: -7px;
      position: absolute;
    }

    .mat-select-content {
      max-height: calc(100vh - 240px);
      overflow: auto;
    }
  }

  .mat-select-content {
    border: 3px solid $_NEUTRAL_35;
    border-radius: 18px;
    background-color: $_NEUTRAL_0;
  }

  .mat-option {
    .mat-pseudo-checkbox-checked {
      background: transparent;
      border-color: rgba(0, 0, 0, .54);

      &::after {
        color: rgba(0, 0, 0, .54);
      }
    }
  }

  .btn {
    margin: 10px 0 10px 16px;
  }

  &.last-table-panel {
    right: -50px;
  }
}


/* MATERIAL FORM ELEMENTS */

input {
  &.mat-input-element {
    @include input-skeleton;
  }
}

.mat-form-field-appearance-legacy {
  .mat-form-field-infix {
    padding: 0;
    border-top: none;
    width: auto;
    min-width: 100px;
    height: 33px;
  }

  .mat-form-field-wrapper {
    padding-bottom: 0 !important;
  }

  .mat-form-field-underline {
    visibility: hidden;
  }

  .mat-form-field-flex {
    background-color: $_NEUTRAL_20;
    border-radius: $_BTN_INPUTS_RADIUS;
    padding: 0px 5px;
    height: 35px;
    display: flex;
    align-items: center;

    input {
      margin-top: -8px;
    }
  }
}

.line-input {
  .mat-form-field-appearance-legacy {
    .mat-form-field-flex {
      background-color: transparent;
      border: 1px solid $_NEUTRAL_40;
    }

    input {
      background: transparent;
    }
  }
}

.dates-wrapper {
  .mat-form-field-appearance-legacy {
    .mat-form-field-flex {
      padding: 0 5px;
    }
  }
}


/* MATERIAL DATE INPUT */

.panorama-mat-datepicker.mat-form-field-appearance-legacy {
  width: 100%;

  .mat-form-field-flex {
    border-radius: 5px;
    padding: 15px 5px;

    input {
      margin-top: -7px;
      height: 33px;
      background: $_NEUTRAL_0;
    }
  }
}


/* MATERIAL SELECT */

.outlined-select.mat-form-field-appearance-legacy {
  width: 100%;

  .mat-form-field-flex {
    border-radius: 5px;
    padding: 10px;
    background: $_NEUTRAL_5;

    input {
      margin-top: -7px;
      height: 33px;
      background: $_NEUTRAL_0;
    }

    .mat-select-trigger .mat-select-arrow-wrapper {
      margin: 0 5px;

      .mat-select-arrow {
        width: 10px;
        height: 10px;
        margin: 0;
        border-top: none;
        border-right: none;
        border-bottom: 1px solid $_NEUTRAL_40;
        border-left: 1px solid $_NEUTRAL_40;
        transform: rotate(-45deg) translate(2px, -2px);
      }
    }
  }
}

.round-select.mat-form-field-appearance-legacy {
  width: 100%;

  .mat-form-field-flex {
    border-radius: 30px;
    padding: 10px;

    input {
      margin-top: -7px;
      height: 33px;
    }

    .mat-select-arrow-wrapper {
      display: block;
      margin: 5px 0 1px;
    }
  }

  &.lightblue {
    .mat-form-field-flex {
      border-radius: 30px;
      background: $_NEUTRAL_5;
      color: $_NEUTRAL_40;
      border: none;

    }
  }
}

.outlined-select.round-select.mat-form-field-appearance-legacy {
  .mat-form-field-flex {
    .mat-select-trigger .mat-select-arrow-wrapper .mat-select-arrow {
      transform: rotate(-45deg) translate(1px, -1px);
    }
  }
}

.lightblue.mat-form-field-appearance-legacy,
.lightyellow.mat-form-field-appearance-legacy {
  width: 100%;

  .mat-form-field-flex {
    border-radius: 5px;
    padding: 10px;
    color: $_NEUTRAL_40;
    border: none;

    input {
      margin-top: -7px;
      height: 33px;
    }

    .mat-select-arrow-wrapper {
      display: block;
      margin: 5px 0 1px;
    }
  }

  &.mat-form-field-disabled {
    .mat-form-field-flex {
      background: $_NEUTRAL_10;
    }
  }

  &.readonly {
    .mat-form-field-flex {
      pointer-events: none;

      .mat-select-arrow-wrapper {
        display: none;
      }
    }
  }
}

.lightblue.mat-form-field-appearance-legacy {
  .mat-form-field-flex {
    background: $_NEUTRAL_5;
  }
}

.lightyellow.mat-form-field-appearance-legacy {
  .mat-form-field-flex {
    background: $_NEUTRAL_5;
  }
}

.outlined-select-panel.mat-select-panel {
  border-radius: 10px;
  border: 1px solid $_NEUTRAL_40;

  &.mat-primary .mat-option.mat-selected:not(.mat-option-disabled),
  .mat-selected {
    color: $_NEUTRAL_40;
    font-weight: 600;
    background: $_NEUTRAL_10;
  }

  .mat-option:focus:not(.mat-option-disabled),
  .mat-option:hover:not(.mat-option-disabled) {
    background: $_NEUTRAL_10;
  }
}

.mat-select-panel.lightblue.mat-primary {
  .mat-pseudo-checkbox-checked {
    background: $_DARK_BLUE;
  }

  .mat-option.mat-selected:not(.mat-option-disabled) {
    color: $_DARK_BLUE;
  }
}


/* MATERIAL RADIO BUTTONS */

.light-radio-buttons.mat-radio-group {
  .mat-radio-outer-circle {
    border-color: $_NEUTRAL_5;
  }

  .mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle {
    border-color: $_NEUTRAL_15;
  }

  .mat-radio-button.mat-accent .mat-radio-inner-circle {
    background-color: $_NEUTRAL_15;
  }

  .mat-radio-button.mat-accent .mat-radio-ripple .mat-ripple-element {
    background-color: $_NEUTRAL_20;
  }
}

.dark-radio-buttons.mat-radio-group {
  .mat-radio-outer-circle {
    border-color: transparent !important;
    background: $_NEUTRAL_15;
  }

  .mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle {
    border-color: transparent;
    background: $_NEUTRAL_15;
  }

  .mat-radio-button.mat-accent .mat-radio-inner-circle {
    background-color: $_NEUTRAL_40;
  }

  .mat-radio-button.mat-accent .mat-radio-ripple .mat-ripple-element {
    background-color: $_NEUTRAL_20;
  }

  .mat-radio-button.mat-radio-disabled .mat-radio-label-content,
  .mat-radio-button.mat-radio-disabled .material-icons {
    color: $_NEUTRAL_15;
  }

  .mat-radio-button.mat-radio-checked .mat-radio-label-content,
  .mat-radio-button.mat-radio-checked .material-icons {
    color: $_NEUTRAL_30;
  }
}

.blue-radio-buttons.mat-radio-group {

  .mat-radio-button.mat-accent.mat-radio-checked .mat-radio-outer-circle {
    border-color: $_DARK_BLUE;
  }

  .mat-radio-button.mat-accent .mat-radio-inner-circle {
    background-color: $_DARK_BLUE;
  }

  .mat-radio-button.mat-accent .mat-radio-ripple .mat-ripple-element {
    background-color: $_NEUTRAL_20;
  }
}

/* MATERIAL SLIDER */

.round-slider {
  width: 100%;

  .mat-slider {
    width: 100%;
  }

  .mat-slider-horizontal {
    .mat-slider-thumb-label {
      transform: rotate(0deg) !important;
      top: -20px;
      border-radius: 50% !important;
      background-color: $_NEUTRAL_0;
      border: 3px solid $_NEUTRAL_30;
      width: 40px;
      height: 40px;

      .mat-slider-thumb-label-text {
        transform: rotate(0deg) !important;
        opacity: 1;
        font-size: 14px;
      }
    }
  }

  .mat-slider-track-fill {
    background-color: $_NEUTRAL_30;
  }
}

.scale-slider {
  width: 100%;

  .slider-container {
    width: 100%;
    padding-left: 8px;
    padding-right: 4px;
    display: flex;
    justify-content: center;

    .mat-slider {
      width: 100%;
      height: 35px;
      padding: 0;
      margin-top: -10px;

      .mat-slider-track-background,
      .mat-slider-track-fill {
        background: $_NEUTRAL_20;
      }

      .mat-slider-thumb {
        background-color: $_NEUTRAL_40;
        right: -13px;
        bottom: -10px;
        border-radius: 5px;
        width: 26px;
        height: 26px;
      }
    }

    &.unset-mapping {
      .mat-slider {
        .mat-slider-thumb {
          background-color: $_NEUTRAL_20;
        }
      }
    }
  }

  .scale-container {
    display: flex;
    width: 100%;
    padding: 0 12px 0 16px;
    justify-content: space-between;
    font-size: 12px;
    font-weight: 500;
    height: 13px;

    .scale-element {
      width: 0;
      position: relative;
      text-align: center;

      .scale-value {
        width: 20px;
        position: absolute;
        margin-left: -10px;
        color: $_NEUTRAL_20;

        &:before {
          content: " ";
          width: 2px;
          height: 6px;
          background: $_NEUTRAL_20;
          position: absolute;
          top: -17px;
          left: 9px;
          pointer-events: none;
        }
      }

      &.active {
        .scale-value {
          color: $_NEUTRAL_40;
        }
      }
    }
  }
}


/* MATERIAL TOGGLE */

.round-toggle {
  display: flex;
  align-items: center;
  height: 29px;
  line-height: 42px;

  .mat-slide-toggle-thumb,
  .mat-slide-toggle-bar,
  .mat-slide-toggle.mat-checked .mat-slide-toggle-thumb,
  .mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-thumb {
    background-color: $_NEUTRAL_0;
    border: 2px solid $_NEUTRAL_40;
  }

  .mat-slide-toggle-bar {
    height: 28px;
    width: 45px;
    border-radius: 50px;
    transition: background-color ease .2s 0ms;
  }

  .mat-slide-toggle-thumb-container {
    top: 2px;
    left: 2px;
  }

  .mat-slide-toggle.mat-checked .mat-slide-toggle-bar,
  .mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-bar {
    background-color: $_MEDIUM_GREEN;
  }

  .mat-slide-toggle-ripple {
    display: none;
  }

  &.btn-small {
    .mat-slide-toggle-bar {
      width: 36px;
      height: 20px;
    }

    .mat-slide-toggle-thumb-container {
      top: 1px;
      left: 1px;
    }

    .mat-slide-toggle-thumb,
    .mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-thumb {
      width: 14px;
      height: 14px;
    }
  }
}

.mat-slide-toggle.green-toggle {
  height: 18px;
  line-height: 18px;

  .mat-slide-toggle-label {
    padding: 0;
  }

  .mat-slide-toggle-bar {
    background-color: $_NEUTRAL_15;
  }

  .mat-slide-toggle-thumb-container {
    width: 18px;
    height: 18px;
    top: 0px;
    left: 0px;
  }

  .mat-slide-toggle-thumb {
    height: 18px;
    width: 18px;
    box-shadow: 0px 1px 2px 0px rgba(0, 0, 0, .2), 0px 1px 5px 0px rgba(0, 0, 0, .18);
  }

  &.mat-checked {
    .mat-slide-toggle-bar {
      background-color: $_MEDIUM_GREEN;
      border: 1px solid $_DARK_GREEN;
    }

    .mat-slide-toggle-thumb-container {
      top: -1px;
      left: 1px;
    }

    .mat-slide-toggle-thumb {
      background-color: $_NEUTRAL_0;
      border: 1px solid $_DARK_GREEN;
    }
  }

  .mat-slide-toggle-bar {
    height: 18px;
    border-radius: 50px;
    transition: background-color ease .2s 0ms;
  }

  .mat-slide-toggle .mat-slide-toggle-ripple,
  .mat-slide-toggle-ripple {
    display: none;
  }
}


/* MATERIAL SELECT REPORT */

.mat-form-field-appearance-legacy .mat-form-field-flex {
  background-color: $_NEUTRAL_0;
  border-radius: 50px;
  padding: 15px;
  width: auto;
}

.mat-form-field-type-mat-select .mat-form-field-label {
  margin-top: 3px;
}

.mat-form-field {
  text-align: center;
}

.mat-form-field-appearance-legacy .mat-form-field-infix {
  padding: 0;
  border-top: none;
  width: auto;
  height: 33px;
}

.select-no-border.mat-form-field-appearance-legacy {
  .mat-form-field-flex {
    border: none !important;
    width: 150px;
  }
}


/* MATERIAL ICON-VIEW REPORT */

.mat-icon {
  padding-left: 10px;
}

.mat-icon-avatar {
  font-size: 90px;
  padding-left: 0px;
  color: $_NEUTRAL_20;
  width: 90px !important;
}

.mat-icon-avatar-motivations {
  font-size: 32px !important;
  width: 32px !important;
  padding-left: 0px !important;
  color: $_NEUTRAL_20 !important;
}

.mat-icon-titles {
  padding-left: 0px;
}

.mat-icon-warning {
  color: $_NEUTRAL_20 !important;
}


/* MATERIAL PROGRESS-BAR-REPORT REPORT */

.mat-progress-bar {
  height: 57px !important;
  border-radius: 15px !important;
  margin-top: 20px;
}

.mat-progress-bar-buffer {
  background-color: $_NEUTRAL_15 !important;
}

.mat-progress-bar-fill::after {
  background-color: $_NEUTRAL_25 !important;
}


/* MATERIAL EXPANSION PANEL REPORT */

.report-expansion-panel.mat-expansion-panel {
  background: $_NEUTRAL_0;
  color: $_NEUTRAL_40;
  border-radius: 0px;
  box-shadow: none !important;
  margin-bottom: 20px;

  &.mat-expanded {
    margin-bottom: 0;
  }

  .mat-expansion-panel-header {
    display: flex;
    flex-direction: row;
    align-items: center;
    border-radius: 0px;
    height: auto !important;
    background: $_NEUTRAL_5;
    color: $_NEUTRAL_25;
    padding: 5px 20px;
    min-height: 42px;

    &:hover,
    &:focus {
      background: $_NEUTRAL_5;
    }

    h4 {
      font-weight: 500;
      font-size: 18px;
      margin-bottom: 0;
      color: $_NEUTRAL_40;
    }

    .mat-expansion-panel-header-title {
      font-size: 18px;
      font-weight: 500;
      align-items: center;
      justify-content: space-between;
      min-height: 24px;
    }

    .mat-expansion-indicator {
      line-height: 5px;
    }

    app-magnitude-score {
      margin: 0 15px;
    }
  }

  .mat-expansion-panel-content {
    background: $_NEUTRAL_0;
  }

  .mat-expansion-panel-body {
    text-align: left;
    padding: 20px;

    .main-panel-body {
      margin-bottom: 5px;
    }
  }

  &.no-padding-panel {
    .mat-expansion-panel-body {
      padding: 0;
    }
  }

  .mat-expansion-panel-inside {
    background: $_NEUTRAL_5;
    color: rgba(0, 0, 0, .87);
    border: 1px solid $_NEUTRAL_40;
    box-shadow: none !important;
    border-radius: 20px;

    .mat-expansion-panel-header-inside {
      margin-top: 0px;
      padding: 15px 15px 10px;
      max-height: 40px;
      border-radius: 20px;
      background: transparent;

      .mat-expansion-panel-header-title {
        font-size: 16px;
      }
    }

    .mat-expansion-panel-body {
      padding: 10px 20px 0px;
    }

    .inner-expansion-panel-observation {
      border: 1px solid $_NEUTRAL_40;
      border-radius: 20px;
      padding: 20px;
      background-color: $_NEUTRAL_5;
    }
  }
}

.dropdown-panel-container {
  position: relative;
  min-height: 35px;

  .dropdown-panel.mat-expansion-panel {
    background: transparent;
    position: absolute;
    box-shadow: none;

    &.dropdown-panel-right {
      left: 270px;

      &.mat-expanded {
        min-width: 500px;
      }
    }

    &:not([class*=mat-elevation-z]) {
      box-shadow: none;
    }

    .mat-expansion-panel-header {
      padding: 0px 15px 0 15px;
      transition: background ease 0.2s;

      .mat-content {
        align-items: center;
        color: $_NEUTRAL_25;
        flex: none;

        .not-configured-icon {
          margin-right: 10px;
        }

        i {
          margin-right: 5px;
        }
      }
    }

    .mat-expansion-panel-body {
      padding: 0;
      background-color: $_NEUTRAL_0;
      z-index: 10;

      .info-block {
        padding: 10px 15px;
      }

      .option-element {
        padding: 10px 15px;
        transition: background ease .15s;
        color: $_NEUTRAL_25;
        cursor: pointer;

        &:hover {
          background: $_NEUTRAL_15;
        }
      }
    }

    .mat-expansion-indicator {
      margin-top: -5px;
      margin-left: 10px;
      width: 10px;
    }

    &.mat-expanded {
      background-color: $_NEUTRAL_0;
      box-shadow: $_SHADOW_BTN;
      z-index: 5;

      .mat-expansion-indicator {
        margin-top: 0px;
      }

      .option-element {
        white-space: nowrap;
      }
    }
  }
}


/* MATERIAL STEPPER PANEL REPORT */

.mat-step-icon,
.mat-step-icon-not-touched {
  height: 10px !important;
  width: 10px !important;
}

.mat-step-icon,
.mat-step-icon-touched {
  height: 18px !important;
  width: 18px !important;
}

.mat-step-icon-content {
  display: none;
}

.mat-step-header .mat-step-icon-not-touched {
  background-color: rgba(0, 0, 0, .38);
  color: $_NEUTRAL_0;
  margin-left: 4px !important;
  opacity: 0.2 !important;
}

.mat-stepper-vertical-line::before {
  left: -4px !important;
}

.mat-step-header .mat-step-icon {
  background-color: $_NEUTRAL_5 !important;
  border: 2px solid black !important;
}

.mat-stepper-horizontal,
.mat-stepper-vertical {
  background-color: transparent !important;
}


/* MATERIAL SELECT*/

.mat-form-field-appearance-legacy .mat-form-field-flex {
  background-color: $_NEUTRAL_0;
  border-radius: 50px;
  padding: 15px;
}

.mat-form-field-type-mat-select .mat-form-field-label {
  margin-top: 3px;
}

.mat-form-field {
  text-align: center;
}


/* MATERIAL CHECKBOX */

.circle-checkbox.mat-checkbox {
  display: flex;
  align-items: flex-start;
  text-align: left;

  .mat-checkbox-layout {
    padding-bottom: 0;
    align-items: flex-start;

    .mat-checkbox-frame {
      border: none;
    }

    .mat-checkbox-inner-container {
      border: 2px solid $_NEUTRAL_40;
      border-radius: 50%;
      background: $_NEUTRAL_0;
      width: 20px;
      height: 20px;
    }

    .mat-checkbox-checkmark-path {
      stroke: $_NEUTRAL_40 !important;
    }

    .mat-checkbox-background {
      border-radius: 50%;
    }

    // .mat-checkbox-ripple * {
    //   background-color: rgba(48, 48, 53, .3) !important;
    // }
    .mat-checkbox-label {
      white-space: normal;
      line-height: 18px;
    }

    // .mat-checkbox-ripple {
    //   display: none;
    // }
  }

  &.mat-checkbox-checked {
    .mat-checkbox-background {
      background: $_NEUTRAL_20 !important;
      border-radius: 50%;
    }

    .mat-checkbox-layout {
      .mat-checkbox-inner-container {
        border: none;
      }
    }
  }
}

.checkbox.mat-checkbox {
  display: flex;
  align-items: flex-start;
  text-align: left;

  .mat-checkbox-layout {
    padding-bottom: 0;
    align-items: flex-start;

    .mat-checkbox-frame {
      border: none;
    }

    .mat-checkbox-inner-container {
      border: 2px solid $_NEUTRAL_40;
      background: $_NEUTRAL_0;
      width: 20px;
      height: 20px;
    }

    .mat-checkbox-checkmark-path {
      stroke: $_NEUTRAL_40 !important;
    }

    .mat-checkbox-label {
      white-space: normal;
      line-height: 18px;
    }
  }

  &.mat-checkbox-checked {
    .mat-checkbox-background {
      background: $_NEUTRAL_25;
      border-radius: 0;
    }
  }
}

.deleteFromPlatformForm {
  .mat-checkbox {
    .mat-checkbox-layout {
      white-space: inherit;
      display: flex;
      flex-direction: row;
      align-items: flex-start;

      .mat-checkbox-inner-container {
        margin: 0px;
        margin-top: 4px;
        margin-right: 8px;
      }
    }
  }
}

.label-16.mat-checkbox {
  .mat-checkbox-layout {
    .mat-checkbox-inner-container {
      margin-right: 14px;
    }

    .mat-checkbox-label {
      font-size: 16px;
      line-height: 19px;
    }
  }
}


/* OVERRIDE MATERIAL MENU STYLES */

.mat-menu-panel {
  border-radius: 8px;

  &.columns-selection-wrapper {
    border-radius: 20px;
    border: 2px solid $_NEUTRAL_35;
  }

  .mat-menu-content,
  .mat-menu-content:not(:empty) {
    padding: 0;

    .mat-menu-item {
      display: flex;
      align-items: center;
      padding: 0 10px;
      justify-content: flex-start;

      i {
        margin-right: 5px;
      }
    }
  }

  &.no-max-width {
    max-width: 100%;
  }

  &.more-info-menu {
    max-width: 550px;
    margin-top: 10px;

    .mat-menu-content {
      padding: 15px;

      .info-item {
        font-size: 12px;
        margin-bottom: 12px;
        display: flex;
        align-items: center;

        >span {
          font-size: 12px;
        }

        &:last-of-type {
          margin-bottom: 0px;
        }

        .info-item-title {
          width: 110px;
          min-width: 110px;
          display: block;
          font-size: 12px;
          font-weight: 500;
          padding-right: 10px;
          color: $_DARK_BLUE;
        }

        i {
          margin-left: 5px;
        }

        .info-item-item {
          font-size: 12px;
          margin-bottom: 8px;

          &:first-of-type {
            margin-top: 8px;
          }
        }

        .material-icons-outlined {
          font-size: 18px;
        }
      }

      .link-item {
        align-items: flex-start;
        justify-content: center;
        cursor: auto;
        display: flex;
        width: 400px;

        &:last-child {
          margin-bottom: 0px;
        }

        div {
          line-height: 16px;
        }

        .link-container {
          align-items: center;
          flex-direction: row;
          flex: 1;

          .link {
            background-color: $_NEUTRAL_5;
            border-radius: 5px;
            color: $_NEUTRAL_30;
            padding: 0px 5px;
            white-space: nowrap;
            text-overflow: ellipsis;
            overflow: hidden;
            pointer-events: none;
            width: 100%;
          }

          .sub-text {
            font-size: 12px;
            opacity: 0.5;
          }
        }

        .copy-url {
          margin-left: 15px;
        }
      }

      .mat-menu-item:last-child {
        margin-bottom: 0px;
      }
    }
  }

  &.menu-auto-enrollment-readmore {
    max-width: 400px;
    padding: 20px;

    p {
      font-size: 12px;

      &.title {
        font-weight: 500;
      }
    }

    img {
      width: 100%;
    }
  }
}


/* MAT MENU PANEL */

.mat-menu-panel.rounded-menu {
  border-radius: 20px;
}

.mat-menu-panel.people-menu {
  border-radius: 8px;
  min-width: none;
  min-height: unset;
  max-width: none;
  padding: 8px 0px;
}

.mat-menu-panel.people-more-info {
  min-height: unset;
}

.mat-menu-panel.blue-highlights {

  .cdk-focused,
  .cdk-keyboard-focused,
  .mat-menu-item:hover:not([disabled]) {
    background: $_NEUTRAL_25;
  }
}

.mat-menu-panel.full-width {
  max-width: 100%;
}

.mat-menu-panel .mat-menu-content .mat-menu-item,
.mat-menu-panel .mat-menu-content:not(:empty) .mat-menu-item.btn-with-submenu {
  padding-right: 30px;
  white-space: normal;
  min-height: 48px;
  height: auto;

  span {
    line-height: 20px;
  }
}

.mat-menu-panel.actions-submenu {
  padding: 10px;
  min-width: 300px;
  border: none;
  background: transparent;
  box-shadow: none;
  overflow: visible;

  .submenu-content {
    padding: 20px;
    border-radius: 20px;
    background: $_NEUTRAL_0;
    max-height: calc(100vh - 120px);
    overflow: auto;
  }
}

.mat-menu-panel.auto-size-panel {
  width: auto;
  max-width: 100%;
  min-height: 0px;
}


/* DRAG & DROP */

.cdk-drag-placeholder {
  opacity: 0;
}

.cdk-drag {
  &.column-element {
    white-space: nowrap;
    display: flex;
    align-items: center;
    padding: 5px 15px;

    mat-checkbox {
      margin-bottom: 3px;
    }

    .column-label {
      margin-left: 10px;
    }
  }
}

.cdk-drag-preview.column-element {
  .material-icons {
    color: $_DARK_BLUE;
    margin-top: -15px;
  }
}

.cdk-drag-preview.field-creator {
  .field-element {
    box-shadow: 0px 4px 16px 0px rgba(0, 0, 0, .12);
    opacity: .9;
  }
}

.cdk-drag-preview.field-option {
  display: flex;
  white-space: nowrap;
  box-shadow: 0px 4px 16px 0px rgba(0, 0, 0, .12);
  opacity: .9;
  padding: 5px;
  border-radius: 10px;
  align-items: center;

  .option-drag {
    height: 40px;
    color: $_NEUTRAL_15;
    display: flex;
    align-items: center;
    cursor: move;
    padding: 0 10px 0 5px;
    transition: opacity ease .15s;
  }

  strong {
    display: none;
  }

  input-multilanguage {
    flex: 1;
  }
}

.mat-paginator-container {
  min-height: 52px !important;
}


/* EXPANSION PANEL */

mat-expansion-panel.mat-expansion-panel {
  &.no-padding-panel {
    >.mat-expansion-panel-content {
      >.mat-expansion-panel-body {
        padding: 0;
      }
    }
  }

  &.no-box-shadow {
    box-shadow: none;
  }

  &.blue-header {
    mat-expansion-panel-header {
      .mat-expansion-panel-header-title {
        color: $_DARK_BLUE;
      }

      .mat-expansion-indicator::after {
        color: $_DARK_BLUE;
      }
    }
  }

  &.black-header-expansion-panel {
    border-radius: 0px;
    background: $_NEUTRAL_0;

    >mat-expansion-panel-header {
      background-color: $_NEUTRAL_40;

      element.style {
        height: 30px;
      }

      &:hover:not([aria-disabled=true]),
      &:hover {
        background-color: $_NEUTRAL_35 !important;
      }

      &.cdk-keyboard-focused:not([aria-disabled=true]),
      &.cdk-program-focused:not([aria-disabled=true]),
      &.cdk-focused,
      &.cdk-keyboard-focused,
      &.cdk-mouse-focused {
        background-color: $_NEUTRAL_40 !important;
      }

      .mat-expansion-panel-header-title {
        color: $_NEUTRAL_0;
        font-weight: 600;
      }

      .mat-expansion-indicator::after {
        color: $_NEUTRAL_0;
      }
    }
  }

  &.people-employee-project-expansion-panel {
    transition: box-shadow ease-in .15s;

    &:hover {
      box-shadow: 0 2px 6px 1px rgb(45 44 49 / 20%);

      >mat-expansion-panel-header {
        background: transparent !important;
      }
    }
  }

  mat-expansion-panel-header {
    &.thin-header-change-arrow {
      .mat-expansion-indicator {
        margin-top: -5px;
      }

      &.mat-expanded {
        .mat-expansion-indicator {
          margin-top: 5px;
        }
      }
    }
  }
}


/* TIME PICKER */

.ngx-timepicker-control {
  background: $_NEUTRAL_5;
  border-radius: $_BTN_INPUTS_RADIUS;
}